if [ `cat /usr/share/untangle/lib/untangle-libuvm-api/VERSION` != '17.2.0' ] ; then 
   echo "This patch can only be run on 17.2.0" ;
   exit 1
fi
patch_fs()
{
   /etc/init.d/untangle-vm stop
   openssl enc -d -a | tar -C / -zxf -
   /etc/init.d/untangle-vm start
   echo "Patch Applied."
}
cat <<ENCODED_PATCH | patch_fs
H4sIAAAAAAAAA9Rae3gc1XU/547lGa+uX2sbGwiwBmMkgx62BQaLlySvrIXVI3rZ2FB7tDuSxtqd
WWZm9YA8oBAgIYSUvApfGtJASWhJAgltATeEJCVQCA0laV5fQlrSEicfpUkb0hIo7TkzO6uVdiWt
+fr1+6o/pNW959x77rnn8Tvnbt51mtxx3TGa8panW2MZoyljjhT/adBzuQYz5xqphsmc1ZSys7N0
NNXkTx3iqQR/Gs5ZbblcYyqjuy4Uf5rp57yWFv8v/cz7u2vXjl3nwvaWXc0t289r3tFC4zubd7Xs
glgz/B/85F1Pd2IxcGzbW4xuqfn/pz/PvPXY4/Tnopq+CAhQVFgmoQaWI7xjzl3nJ7P+fdPttuuu
gbD8QtMyvYsREnXJhSgHDM8zrTG3dUGKPsfOGY5nGm5r/bAKGsLZi5jYsOl4eT0z5BrOoD6SMSKg
QoTFrUVQ6uqHV8BKWKXCaglrYC3C1uqsFWHN5LyFERqSxyFHa4Q2XidhPWxAWDVmeCVnR9hSV7+0
hiKwETapcKKEk+BkhNhSDAi1tE+fnTFTM4k0wgba5Ig+qTdliKUpYXnGmOG0skJOkXAqnIag5YrE
6yqQqrAZ4ayybSctw2vqM3NGxrSMDtuyjJRnO7zuGRK2wJkIkVQ4SkJtO1h+1MpL0IZnEX0VV9St
WzpJGIGtEOGNt0k4G85BULPBBMI5i13WvGV8nTRKaIJmkt20vNEBT/fyJPuaQCt5z8w0JU3X8yl3
SNgJLQgrp3RrME+yZ5KmNUH6LiHu0t1xz7cD5jhPwi6fI1PKEYELYLcKrRIuhIsQTi/T0tBklnTj
GdNep876maEDpoIBhNMqmdAsR2stXAKXqtAmoR06EE5ehJYEc2dcz8h2h9o7vdLiA6U0tH4cOlXY
K6ELEginLk4e2OaspZ6x8AYl9n85JFXoltADvXTgJejJhmkL/2o7OH6MmindI7ddP8cNBjyHiP1b
eaeEfhhAWEvKNSeNOUzRyixDEoZhH0W6jD3mn2pz0nbGyLr01DglSRokSv7bcqQp6ZO0anAF6bck
ttTV18JBuFKFqyT8Hhyigy2xBEJN2hjJj7FHl4vFMVJHaK0usG0JP3fZ9kSHnsmM6CkyxMOQ4phJ
ceDsumoch1ZqDWLrqIQxGCctmxUWRrioytUqykXx4AhCvMoV+hyjx/CmbGcitIi5ZzQhxQJnJVhg
05VYvj0SF5Mh7K1W0sX3IZmvRuisdi3b9RYVOhcI7UnIwyQlkoLQxBZI3VW11IvvRGJPI1xc5WL7
dKtTNzP2pOHMFXcqEPdaCe+CdyNsnKpMiHBptXIvsBXJ+95KQaeQErsNco6UBtcHuWjUHMs7RlqD
G8izO4r/x4JY7EbgfXCTCjdLuAXeX2lVP6Qntp9vDdEH8v6s7kx45JdbK/lj+VAE3gO3sn99kNJp
BZZKTs3w4UMSbocPI6zQ0+ngRBw4FwQOAQnxanAH5fa06XIColN/lBLZnsJ/4Zk1+DhlE8MqkPwh
wuq4NY/iLqIowCANPkkhfLivJ9aRMQ3Lczm9fErC3fDpwCrZsIqxvmJ075lDRPnjM3CPCvdK+BO4
r1J075m3aJSjO+UrZ1RPGWGCjobBfTZFs+Y+J+F+RoDrRs1pUqlN1k6mGNy8Cn9GE7Mqj0+njJxn
2pYGn0eoG/K1EPPsWD6XplwQc4v8scCUYqNmxnA5iH9RwoMcwZdN6Q6xf4nDICFgU8+Y1xihm9XV
q/Dw4iA2NPiQJQJfDnDNX0p4BB6ly3SLSW5RFDp/IXKToyRUqYasCSPNeorAYxDhS3hcwlfhiUC/
nabjeuRybem0Y7i026ZQvwzYEvSrMEMLf52UtTQg5q0MKwJfg0gEnoRvqvCUhKc5n6+vtG6Albso
WBUGIvAMPKvCtyQ8x0xr5rsK6cazg4+8ybclPM83EnGN2RUegxckfAe+SxUBedK8NNo7coTAZ2v9
AVb69yR8H35AshH7nAPwb4QT65KVVOm73I/IP3Y072xsbty+fWfjdj7sjyX8BF4k/6Ujtc/06FkC
FtsWDhnlKv4HhFOKU0PWhGVPWaybosmyEb7ERvizBU41zH76zxJehp+Th9MyLuEMo+hTFeuQnrlU
JMcvEOqrsLogcETgGN/1MXhFwr/Aq4ReSJlcYiyrS3BcOwa/kvBr+DfSC1+Sj7148gBr8TcUXb3i
Mr+V8B98m7VEyFWCN5MzNHidOOPTejZHbrqdyd6Q8CaTrSKyPYabcsyCP7+F0N/TO5joiI/bU/vi
eddos8yUkezt2ev6qk/0eOOmG9/f1t2XjE+Nm6nxfYlkcsToHuroytqOMRDvGOqPe+PkEa7JJ9/X
27+HtkSQiLwlH2HASDmGp6HCR/V0x2OCGonLQ0Psz1tZO23wsCZxBQ+rNJw0Rn3SWomSx9jJ+82x
cW8FrsLVKq6RuBaj8wuiCje0JdE3bDguHZn0mOibbCkrfxZlaq3F9bhBxRMkbsRNlQrNnvl2s4kL
2knKyxwrC/Y6wBQIQxUS1MJbJxaogxN93bpL7hX6QgRPojCAVAZvqYae1XqKxFNZrSsLqh7Ij5D9
80xM4ubQXnyFB1ManlFiWTs0pEq2j+0jMaBbtjduOHv7422DRkDQ26n39cf9NlmazKQ/Pkhm4iUG
CKjMsIHpVnqwa2jAMXTX5pQyE9gSRRk8S2Id779hNsoUkl2fbWeYYpvEs+dRFE4WUjRIbGSKdbMU
+/W8Nx7ON0vczpGM7a8Ic1biTokteG7gUbOFU3NVoL+YVMhRcRcptqSiq6vX8IJA17NDvGGrxAuR
qttNVN2kJgrH7Ddcw5nU2Ulp97bj3L08gKp4CcJJs8PkcJ6ZNYphMoIXYxsDsEOsmg6JezBOqhkr
qqYk0c2P7ZQ+cK/ELqQiVzMJfuhUiSOcMIc+URgnV7ockyp2S+xBSlfRchLy/XHd7fHLbqWu/gBz
vFNiP1Iluszyh+dWrIVQzpIPSRxmybmWLqjSVXF/dT2TAkME98ErlBXwoMQr8SrKCiG2WDwrDMyl
4u4UHpJ4GKn4rBkLInx0juBJm7EvpthxaXLV3BkNRymd08qN4f6NadOJ4DiaKh6ROMFQvDTd+8V+
occVtAhnogCYlWgh1XMbs/oEt5Koft9neuP0iWIxAVWE86uD3OVDtXg1Oiq6Ej3MV4qLA/M1t8zV
OZktAfKLyVnDKQIVXN8Q7CbEydyxUB27Y5TdcUbiNXgtqdhwHDaeSvihZGRw3LGn/L6TX0LguyW+
h/39xADMVvA/prpO4vUMl2sdo1gtRWAr3iDxRg4yMm1kDM8I8/tWvEnizYwZueMSZPBZ0KghXZyk
iaQ91kknC+LArRI/iLfRFsa0kSrqK1bJ0uKzFNx0wdslfpj7NOv29re1H0r27u1MJOOHBjr6E32D
tXgHfkTFj0r8GNtLeYM6XrpdhDfvzXu5PAX7TwTihzAvFJZ3vFPiXbzjyf6Ow4n+waG25LydNaSK
aPVsw9UatQPmT0m8m5mjPnNfbzLRcUWR548DgMvlizHLco/Ee/1OlM8yMNg2GO7Cs/ex6j5Ldeni
qtLwfoRLQm+Pleg5RtkrNluYpM+J5RnNxMYy9oieKaVs5MBwq4YPBEcrdmb9+P4FUmCO0GeCVqqr
Z+d4UOJDSFXPsoytk4fvKrXNDn7vWcLPCo6g4cNz3IBXK3EDDf+Cyp4euzgUG7XzVjrWEEuEZ+LT
WMZUkYIt7hGJj7JRR8tLsiggHqW4Ae9nF/uKxMf9Ks6kC9HwCT6mwxWmw8ckhXxd4jfYdtcSzqN7
K1H6CnwSv6niUxKfxr+hG1q4k2dMGhny4j3x9qG9ZPeLtA2ZspXt+lmJ38LnAlxY4KfqfwlGvyuH
35b4vG+DbX19bE9kwH0lHvOCxO8glUPL+OorB8jF/ZICSD7j95jxexK/jwQ0asdte2Jxx+6apaCU
/aNK7lpCouGPyQPpJhoK7YWG8HYbUgTIx4xa/CG+KPGnSGXSGscY40LNmW0xtVSKlBU3LDaV6g9o
+BKlkgU21PCfKGYQV/nEyzQxpVsNo4VeVSgiKeiYxF/gLwkbpXUja1uL99j3lNKQY7xC9dB0ZoeX
S9fiq/ivKv5K4q/ZWMubVHvmLr/OtMhcs4blDbk00kEuQ0Hv38kGfWjAHvKaxN/6HjKlm16n7XQQ
mLUt3/Aj+J/4uoq/k/gGvkm7zeIYShCpvOPQur5B5INHnhPI+wbIJtN58mFKQoaeZiSKsIOKvmRF
7iJ5uMwA5SSqzlqjIPAtif8tgBCSk6eiJl53nEuUBhkCg1bwEiOEUFSxTIoasTysrOcvOUi4cYgC
BsE0Auy9PXvIi06rvHtI2lorNLFCFREpaoWkUHVcsjKEL0y1eZ3mtJHu918grqqrdIbLLltClqWU
3Zn3KLm31hSeemtY9jVSrBVUaK7R2RAGDSdrWj444ICz5IYHeIn1UmzgNl6tO5730vaU1WNPaWIj
WQ6HiizH5ylCZXbei6V8K4v5lXKjJk5E2FwE6pSlYuXGSClAUOVXy8mnEJZVcQqlqFnJWBwnIt7h
t81ETIrN4nQq5gjz6P4UBe/kPOpWVWyhQrkK5LwnXCUizoBUQXW/PEzbiXoptomzOUYXFEx1SN38
nQapNKWb80OzaJCi0ZctR0rxp1XRXJ0cfSFHRDQV5egh5ZzLy3HKsnOMtoTYJcX53GFRC6MUKsVu
KVo5VEbz1vxgySe5SIqLORgsT+lWilGeKi6Voo3LjZUjeTOT5qdtrohU0VH1k3zc8pyZiGgXcSk6
uX+3llGF30HmaUvPGjzbJUWC4eSa4mwBS0ZBwSxTJKXoZv6VQeVDBUDKn16GRwt6UJ+PiH4xoIpB
KYbE8JzaIQhI3J7JGEaOm010GZrYXwA0gd4oMYoDUhxkJdSkMrZLCeZVcZUU/iPdurRRHk7FYZKo
BDOz8reKESlSIu0DPYtrPiPoOyO0H1+hu8CzgBiVYoyFXBVg+vYMTRmOqwmTbo8ufNScjkINHo2I
jMiqwpLCZtWVvy+XJfSgVVkAyOJq0sOVziVXWhF4RrhSeCLPKsxlODpWKnHqD1Z4+yAhpqSY5m8w
8OLBRlFYLq4hACaosrlg8Yom/DJChfqMVsFsFFQ8GgUNj2riOq4o5yiFb+Qx8ftS3CBu5PKMQKBf
did4+CYpbha30P8kF/dPExXL7mPiA1LcytX8imK1Q1WtuE2KD4nb+YlEz+SNXqpm15FZldW/dGF/
IMUd4iNBszB8xzlz8VP7vHzdqviYFB8Xn2D0yTZX4lyuf5LLorBC3Mm6vAvBqqrUfXsjFR+2VopP
SugSf4TQNB/OLGHdEfiyuFuKT7Ni/XZiJmNPdRQTDNVjpsWvTOIzUtwj7iXtjZOrFr6Kc2pleFmY
p4R8n/isKj4nxf3iTykiL0xKyWfUtNLF//2A1T7jSxtGKIRzqwPIc1ch039AfF4VX5Diixzcyl+4
5tIHDaliA/NJ8ZAUX+JHi+XG1XTjFOwi4mG+5z9HuOxt3nOlOxQPQIRFfUSKR8Vj5CQpOzfDTaAl
D0j2SXx/JeF58ZXZx5H5zxj1w3wdX5XiCfE1hPUURAkgzz/6BQsxLykEL/4NKf5aPEku4gZvR6Ur
715g5WpOR973lBRPCyrt1pI1Gk6p+yHctuAtlG32Nm/rOLIswZlnq8/Lk+RiEfGMeE5CjfhbBH0h
Lf1vBQ8/cz0vxd+JFwgtUcXqi+A/oZddRFjXJgtUvqF9F55Vxd/PSetBiI5SLjzKGOEHUvxQUFW5
Opd3x33GLjuT5otavL89Xy+0XRSkuJOv/ydSvCh+6luW7qTG51x/vDqbXeLaWPJ/lOIl8TPuuTj6
yBzJl4iqZaLzc2mEl3xZip/7WcNv0rv82BLP6MSYLuAl5Vjhw6o1YTGwKfxwYfghEqUy8Sjn/99w
tnuNs+RlFTPxKs7Eq4mWMuPrTPs7P4QsGoGCBElW+KYU/yXeIoQfJO+CaVSKuvO5y1NmFNawxKqC
UhGKQhoIIs6cqztpgas7UH8gCmt9yKksl4o6F7IS6vTslJ3RlBUUJpM7BvtYMw9pChV9Nfvbhga7
mG+VVFYz3+oAqha/shCFKGY1heqsmsTl8ckdUVhHmEXZEOxQmtf9jqmyUSqbFKqO1gVdpz0mIS99
pp/QpkPg8nBVWDLo2C5ukYUmn+kXW17eDXZoVRVCbNuPmy+inAQRTTmVcNGexEBfsu0KGlFiUtkc
PnsOzuT4KVQ5Q+JhcWNEOVPZqipnSXhOqSNVlAG/MmAW5i1adhu/MB/ixc6RSgMrnZurJU/ALM0b
TNksle3hG6t/jcy0UyotzKSOFR5jifA8qexiwuX8kuWkmOwCqexmMm2s8FzIdBdK5aKQbg9/m+KY
colULg1rlJIHRyJul0pH+Bg8mM1lCgvHpdIZCl3yDskcXVJJlHLQFppyOb9AWcG3FZmoWyo9oVa7
7bShKX0I2MxT/VIZCPkTVvuMZ7g8PCSV4fBBnWC+P05FqbJfKldwv/BEvwE9ONTTE0/6feihgULb
kOU9KJUrWV5+gtlnOxP8jYYorGer5kcCv2+9uyAePKPoUhlRCOqqBLCMaQbIFb+/mNAU/u54wKcp
VCcpiZ7dvIAplSNsFCvc/EjwXq8pGTphjCctnrT5IS5R0TwwpVwtFYdj4IoMhYZhRuk86pGpidc0
ZZJ8uHdocLemTNP2yd6OtiR9vobkzQfftNCUd9E//fHuXjpWFDbg0Vo4qLxXwoN4rapcTyf2dzXt
Jn450JQbKOI1GV6qafYbQ43ppqDd4Y9NGI1cKkaU67BNVW4i2eeL3Z4fHaXyXnmfcgs/V76qKh8I
HxEL2/RTIcsU/8PLdcBHWWX7c77vTiEMLaEFKQOCQgoBRNQISAKhSBhiiAZQwUkyhEhI4kxCsy52
3z73uVbWn71gWVdaBhJsWPeh7trY5tuf67quWFgbPrEt73/u9803JRNI9j0fvzC3n3vvueece+65
537Xmj9FDVOs0jZS7QriEGr+LAYbmRbMUE2s5fXmDdLy53JecVpahbLRovwmn3mzJng5NZfWNWBu
gkW5UhUDzjRB/yaf+QvzdtQRh+RgndzjHpNk/se0F0FxDTWIOW6p18QRIcuPfw4U/8QTJ0yYIHO9
y2febd4jNNDUFGqAcMvrkl+dNbFTveZ9oIkMoMRYitEb6Gsz9My4H5c+y2unLa/5MNOgeMnacF2z
jkihx3w0BdeVUgyMPcJFGCa9jJj5uM/ULl8u3RY50t/2pP4sqBbI1pirWbJXeIa5gzJ6mrt4jsds
i12NOi5sHnN3qm+VqEW2VbogxQkuw2w3n/SZT8kZQ67dzpocO0Og4BmfuccpmOIU7DCf85nPm1CZ
TRz1U24A7JNvmgvLNMdj9PGSz/y1HO/1Nja5TBsgSkMNtc0rM2mgsUGqvOwzX3GqTEms4jGhfY5L
a2IMNjeurqsuKNJBcWNjfSgIgf6q+ZqwxheZNMh8w2e+ab6lhYcYEJmqOnHQSm/DTNdBkgF1RUuD
3uAKiuvkPrlFrIaCvN/5zN+bf4BwWNEYLglWrxRj/lGaiWIy2HxDxv+2z7iaF3rNP4OnnGdUPbm/
+Y7P/IvQVnY1RhJeuLZB7DJiqQtrayxOyDg0m3/1me/JoVlOi9jiV9QHayX7fZ/5d2HaAbXpXEYE
/H6f+aH5kT6CWeY/+za4uL5R7kuOYoc5gmrvNT8RBUjcT2Qk//CZn8pIEm5XHdcUr/k5aG6O9oMx
v/SZB1OGnOgHw0PAdzzE/NpnHjK/AZfURTTpR0TrEM+/cZ34wqY6D4lSl21+h7Oz+X1HzamzVl2E
nc4qspeLMmmI+V0mHWN+B9Qr9ilDmXIXGbFn6HhPMdV16aIqfedHdbWK+XxL3qk9lEu5PcrjU17Z
7fO71RrU2igkKbu+AMrwqZ4Cxadzy1rCTRCzmTRUDgLD5Gc49GizXfX1qX5ifOud6L87r6Yn3auy
fPSA6o+BjE3nB9aJvAMHvqoG+tQgMXCbUGS8Clpy/6aIP9iyzn+RvzYcarIvGbwKMic7XYm/0H/h
xdjO1TAfLeMWrxoBMixoiYT1S0fNlfbO3dPwqpE+NUosrt7Y7YZXjUZKnFdWNooONEJMkH75GSk/
o+TnWPkZjbOIylP5HjXepwrUBKZjj/Taw7m962H5T+j45I7X6uOO+uxEHN3nFpUvDCyfVQQNJrC8
rKhiLnTTmF+MVoeYBi+qQJ05iyqLAsslOr9k+cyFgdnz5gBvHYsq5i0ogcrkVVPA73r7xjFH1D67
0ZnlJbNsRXB5SaCouFSSvXQShwE7bRXbThUgi0BJxaKyopklyxdWBkrKUd/JkBMW6jtpiI3E+vrE
BVQtqqttCMqtFtPUFGfwqV2nqulAWX26F1xTu3HQ6l53aiaUdmBQVKxAy+oq56VhZmljdbD+rGC4
TtJ2phla1+A8Mkv2XBdY4qgIraGrr3egxQcTnw6OOvp7RCxNMPF5JtTdrjziFApoDlavWhBs0jPx
qLSXER0aikOG9vjK6YIFxPLSRl+GUPWI+Ok+ndc0qmXUJ7h1D0yvNIDDV9j+8E6dVIMB6NH2B3Uc
2F0NkdW14bQYTfWsxjia7eeAMg6zeXUTU2436E3GlUQqOFvb5FKcdlJHJOZkXAqFzuw+kJQRChSP
zQRdfJVpbzpCouJV4JCoWVeDk5r2w5RjVH1ddXNaLKd6KmJJ0NE8iB7vWvvUamlPts9XkgHGyeuV
5NpladCO25ZVPDPhlWve2HFdf+eqX95ajlQALKes+Cz7xnxLZBjW9YM35o4E9q+LlIXCq4MN0F8r
wsGGSJ11T89L8V+26Ng9tNgOu+k0IUIE6gX20nSeBx51Uex4lFQgV8+xe3lxU7Ss7l19K23ZQPW7
1haRkDZm5EZW3MqANcCUQJ53prlehO4ftq8u0wijjh5LYrDRxiGPgkrC63QnwnuqprlRgpAVNOsg
M+ERuL16cVP5j2b1nyfXuC2Rldb70qNdU6Cy3GBJ5d7VSWZKEGl14mW6UyF+seVrSNDJwBQNztW6
LKVlhu3yUmoDdDLS5jQ21lSttyGXL9aLbCUqYglPyDJLo0PgPCj2ndMhxlfiUGWshvQ3ZCwDEmDO
qotUx9Yit8vXFoLVPil2VqY5nXh9d0VMxslXZFwfx5k89jTNHbZNtSf8C9ZXyL4ay+BrbQ32K0Yr
Mb/7Y+6kGxn5gn8FB0eAJ5LV0WPHd+1WOEFUr7EUUxPCT5jVfuRlrq2rkQ1SxIIRWicCY0XtCi2o
eyebv9CoShuGoNx2ZjLCIFc4tjRH3iVZ2GRnr0qynDnwOtjUYvAse1EqPCsX8nNP0rNDx1MbjR3N
BGQzqKnD+2L7PiQ/zcE1pl6mtMChXPuzNq/ooD4dSSkVDIu/3RGapHYErDR1fFpsj7ifdZ+T9I2K
3G7YYsAFdjlYS75vEQzXxiG5ItaxtKCbp2CR+QHx+Diua6ds1F+n66taHYysD66uqgmO7mzeoycx
bfrfG6J+lGOH0IUbWlWFLHOPxvqamLTqIaqWHT/qBCcyHWPX6eitN3qCeH1212HzLO3Cprce2eu9
U7FVWR+TyVjU2BKuDllaWd/ETwpJFyCKQCjSvCAkx6eIR/2VaUIXn5YvCDZXr1ygj2B9gfRmsbPJ
I+qVjTWRPm71fob6u/rAo/b7uEF9CP0izrt1DWsaV4VsmWK9OXG+0HFbonpgV7SAzg021NSHIqNL
GxtXtTQdWRdIaihafZrqiepQGgutDUJ8/BZBAp3qVR/jUM8F8S83xTTN5Tz+/IhXHYDwKW2EQKtJ
8LQPN64u9DPQ8WmG+kx97lFf+NSX6iAU7w49lWqKwJCDK2LI6Lk6MfXKj4+arhdaXR657ZHQ2Zd6
AitfZ1Avdcin/qTe9qpvmcbEtRPxeRULht9SuvzsD1oCxc9e9T1ws6quvt6fP/fMMsn4J9M41rdH
DuVCS5X9IZIfBsdExtcUnDRxgvXdLa+LII0YC+N1GV1qODF/nZhgvS7FdPzRq0/Krw2HvC430+SO
KrC/rHxhxcJC9hfNmlWO4MxFJRLMm40fFM0sxKi8OBGVh6C/VAsaxHPLrzvx6/OBf0VjGPhYWDoL
TQIlldIig2l4x77GxjxFxslcfZAsHbXLTsZTvhg/FYsFdm8oDTzB6+orIdKZEhZ6Xf2T+7ThJfc5
kOnYtNpncnde12AogXp1/GIh9PPZfK7XNQT6sG2C8DfZerlAHYqtliUyPMn9uSkY1i9z5pUJnIiW
x3qV/VK/gPu6RqW4XnZ+WXNWH7drNMjTNcan/qj29XUdz7S4O14D3dlV0Jc4LbhyfOottc/rymM6
bVaoGQOBNImd1v1VaB8KNVhsMZbH+cGDfn03YKVs/mjCDhgZ73WNZ5rWRSBzykvSgsBeNL1zEAld
HwHGJDlbSme2QuCX2wkHWEQ7tvtZSGAyBIAF86hVp4CspMOjVjwZWiMXVNU12IIbxKmvMl2FToF+
HxIvmAqaS2xhfeTL68Je2i8xX8gL1WfoXSGebVmk8i3i87qKsSskFsvH/7TvfgtUcd881A1rm7Ts
2v3TfcUHPHbkT+YwjTjK12kwhE6+AwOtIeHxuy/lvsLZ4T2uUixNlzYfjysQe+/SaVXxF9CVaST1
IoOIRtEQeaSI2BB5OqjDu+zwfisUDwudfs0K1USErCYhbqjhSJ8QT5sbkZ6cUH4i0ifF03QZ0icn
pG9G+pSE9A1IFyakNyF9agL8/0J6akLai/S0hPRnSE9PSH9MQ+TLV4hnyof0dDicRuhwNI3RYS7l
6bCWVuqwgRp12EJrdHgRXYxQP2bUYyqgCYB/mp7fDKRPoMlOugjpk5LSSr6EgriSpx06HK9DQz7i
hXA0tkQXudGimIifQVwh91BObt5O4pzd5Fmyk3q0ki8nJ0qZURrYSkNzzCfJ30qjUHocSse20rgc
bqV8+ZkoPyfm7KKT2wiM00azmKJ0eiuVbaOKzMVttNQgtDtvSc5OqmqlEOJ1El/VSvWIN0k83EoR
xNdKfH0rbUD8kiWZl2Vu3EVX7KTrovTvVs4NmTem5NyceWtKzqbM2+M5elR3yKjuYZIBR2nzZuod
kKH9so1+ZdBWYON9+pA+oUfIVDOBiSoajN8LgKFSrN8CGkoB4GwhVqESeF5Mp9ASmk41wGaEzsGa
rcSqNdNaUNo6+iltoDvpQtqCNXwWq/gWXQroGwH/avRwJR2gq+hrukbNQg85wPsBylAlajaZsgJq
jpqrnQkPqXnqdIxLYvNVKVZ1AeIDyTgMIKaHenlokEcFiD30SAaxvN60VtPMBUwPVnWrTHBrDPfb
sWatrRTdTe2IPVEax8qTTAvyXqShu2kPSp4L5OdF6fko/WeUfpObH6XXK3N2UDQ3Svs4kPnHXfR2
YDP1KVQAnq3a6F2DNKS/MRUqG3ahazftR+SjQne2W0Xp42y3GaVPs92ZX0bpKwSHovQtgh+idDjb
ncVGlFW2W/fKnmx3vo5kZLuz1TbuZbZxlklRzo7y0I5ZI7Jd2W4ZY0KPro49ZvEo3WUWj/4/7FPw
klp4XLrMceky83SmK8oFORKL8iQhw3IQ19n0DilNhu00Hr//QRn0cxpAN9IwugWC41aQ4W1g+E1U
TL+guXQHldFdaHkf2j6I1vfTufQABMtDIOCHQYy/pMvpMbqWfkU/o8cBYQtabEWtbSjZDo7YQU+B
W1+nnfQ3kMMntJu+oifoOxAG01Pspae5Lz3Dg2kP++lZHkfP8SR6gUvoRV5Mv+bz6GVuoVf4OnoV
Qvy3/BC9xlvodU3e51APjLOfKlNngLzPBaGXq0UianirTejD+CZVoc7EzHP5KnWWqhQRxcvVYsRM
uoBnqCVqKVps4JPU2ajnost5vDpHnUtutcxiCBvGcsCwap1HLs0so8j8geZ6qN1DLxyGSFWaaySF
P2Gcd8Ay8h7DYhwwtKEZri9oO4unWJyDpdmihaqsR4bevv4EVntbz89n1bfnwvK1EFukfojRgwnp
BQ3rZAtWbpQLA/kvkm83T1+Sv5NnPG1OQ15xlGcXKnCT2HI30TESK2N6hvYXurJdVxg8FBS9+fC7
unJFJ5W50qnMS1BZuFLuOQqVFuG8LMpVqKGyOLSLa7Nd7VxPlNvGTSZtpqxCtx7nmmx3G68zaWtO
LkSFjPeinChfKoR5PcjrQUc+LqNB+N0PRByAfPwHiPNT7HBfkJ8O0mkgn7n03zSfDkFyfkv1IKUW
+h6S8Z+QgofpejboPnbTg2zSQ6yolV3gCB/t5l6YRm96nvs4xHMa/h/EYrsApYcKqirEHqLeWl66
Bb2OvHxBVYN4GSN4QNWoEBaqH+1QK7Dbmeh1Jp+jakFG19NJaiXyLAKZRZ4fMGwP7T2MpXVp8tgO
utjr4fmEkY/8njIQReQw5ZM7sfwC/GrZ2wfLfgUtt0lIdmIhkR6gm3FA38atybTDg8jLg/X0BloV
nQn0UHWiQgDc1Vh6C9wkSSP0CrgoXxmnRLfksz+BCr0xKlTnY6Oy2pfYFD1Ir+41mgp38XXb+Po2
vsGgFMLmHOrJuQkgBzkgV3UC8pY4yNvSgjwRIKekBVnfCcjb4yDvSAtyBkAWpQW5uhOQd8dB3psW
5HyALE0DUn+GwwY5R68X0fBt/MCL5MHvFg38Ia1CaHZ7hBMg95YNnSspg5fQAF6qCc4kzoBob1CN
aUXOozGRMyp1gCswwNo0Ikeppti+j0mYmicu17Aes+ZsS4HSuBBYwAFLBuRpEVCocjO3ixB53ATZ
bcfmnlno0hC2Z7u0MMh/iQbojFY9UwiEnZvJr/f/dm4nauMnkJsvAiM/QWAU0DSa4QiM2aIG8wWY
Rpj6c4RGcDONxL5RwOtoGl9IM3g9FfMGWsgbaRFfTsvAVCG+iprBDev5GrqEr6WN/G8aBdMxzWLq
pYWAvL243EZGf2rUbI4jEtVoNjdw5KhSF0AwmBhPhQojT+mVGE7qMIaneV4zMzg7xtK9BwxFrQjE
mYXYkWgta2+t99MasVj+l2iMRu8ehlB4YJv8Pd/Ge3XZNv5NG79uUKWusU8On29jXevb+M9mYua7
yIykZr6HzFBq5vvI3JCQ+YFkftzGB+xF1ukvdBorcNBaBbKxXwhqJL4F2L8Np9pNNBTHruP5djqB
76S52LXP5bspzPfQ1Xwf3Yoj2GYcOh7FTv44P5wgq7Y4smqLalYtwI5N0yeQId9GsGn6LxCocpoo
V7v469Lcdv6BaEFuXo+MbQa3GR4PVeb2N3rpRB8FBWZAbpuRxVQp2DUGahrbTIMCOjk4X5OgXUPI
yofJTHPIajx6JagbLt4KZt2Ns/mTNJafAlk9TYX8PEhrDw4kz9Lp/BydwS84Ovd0ylJrbJ273J6W
ixaotWqd7mO2Wq822Dp3X1EjCj2G16MuLAZ5ZIE4Lo4RB90EYhTklOrxDrHVbWPokp3G8FZjRM4O
Y8Ru41gcaowx/Y3j8Bc1xsbLoQQaebuNAimf2N+YhD+UxzeNIcLR/Fss3Bs0kN+EkvQ7msK/p/n8
h4SFKXUWptRaGJz3TnbI9wrMUthknx7hZGuEx+w0pqTSpnFKGtpMybRoMyXTok2dKfONGlNlWgjM
aSjxRY3ToLQE8m2VpSjf0liMYvsUETVmyc8c6ODtxum2QIG0lsz57UZAcoSXoNxsPvzE0DupV39j
4S7jjM2kAkISe+k1etMhiQBlYdLvAWXvU1/+gMbwfpDCh5AsH1ENf0Kr+ABo/VNIls/pRv6CHuMv
oXYchFb7FTTab2gvfwcN9gd6k7+nt/iwQzI30gR1ibpUk/Y+B+H7bIQ3U1BdJmqHJpl+pH6gS1nr
DrNLQTMiqX/i0MyNtpYwXa9IZUygvEh98NtmLMGmD4mSyObGOclsLuk4e4sKQ0YG9TR81M/oRdlG
bxpm9KN8I5OmGVkJlDLdGfj0ZBYeRqPkq1bWAI1vkOUFFs/TA1we25b0OQb/y6JGMCdqhLKMldhH
2o3zweCxDTBPr1VpbtRYlWU0RY2wMHIekmvajfX22uaLAvvUFJc5xT3APcB1L/mz1QD3pEKPVM32
tBsX2RWvcGPF35F1jnV18f9fV5f8+F1tBZ5PoSvpGlDI/fQZfUmPcB8+m5c51HyJmI2M/2nvaqCr
qq70d84+972XhBCSkJiXHwkkgZAfElKSQCAof2IxYKlYiChF6YgKDGCrjKsdgQJjEctPBUuCpsoA
QUAJAi/JC5CWDkGx4FCqVkTEkVbqgMMCpPJnZp9z77sJP9pZyzWz1nS9Q3LO3ufse3Lv3mf/nXPf
I5lFm4JkmYqbZXfkyB7oJ3tiqMzB92Qupss8zOZ2geyFn8l8LJSFWCF7Y438FjbLPviNLMZhWYJP
uT3NhuGsLMU5WSYg+4sYWS6S5UCRJ28Rw+St4m5ux8vBYoIcJL4vh7iB+HQOOdgz80IbikFqntJG
5bDbtznUx1mh0yeSXTpeR86y6yd6qAXqX1hfcjgqfEp7aLMAF6JDK+6HV3tjOVV7Y/Uz/uH8k/OF
DHu7w/QD2gJz5+D/JWII/XURjuWsYGXXEdVcowaz3YSQU7YKKqeBVKJy90Jt4XUwt0RRiZVgJajV
6JabYAXkAs7fAnKhehER84n9qYfN13yLJf9BTtycBLWgQT4TkEtz4paluuCKNBessg3nchvfYkI9
vR4GszsCG8koeQfiZQUS5EjcxCYyWX4HXeRoZMm7UCDHYJi8mzPbuzBKjuO7rsQ/yHswQ47HHHmv
G0Nlo7tayDZLO4e5joTi8Y/qaZOPJ2CqWmQSqZvwiHqGIWJ3NFn9nCFlcm8ditr0Ex1DkgKrlRes
nUkFhebyZU54UuVF/iNCLVZLHM5u5kXj07ECczZX78Lk+xXnpHIlq4jhckCuCsiaavyz1kD5kkB+
o1wrofd3WvCQ3xOQG9nB1FXjXp4h3+D2rpWzeRWUW52pmuQm9rWBMq/fq8nq/V6+sCk0rbmyUe5y
QjXdxbraKHeTlnSH3DxzYwHZUuZpkvsq83INXi9/V+bN8XsD8i3twbg9FJTvOH/Q79Ed72oDSZtc
G20CYDmDhfU4uspZ6C1nY7CcgwfkXEyRP8Wjch7+Sc7HIrkAq+TT2Ch/zre+mJV3CQ7JZazAz+Ko
XG6E9yBnBVPYHS1Vy5iPvVk8v2BIr9Rjrn0/pp416aSGlpttFQ2tMPmwhp6D2Yhh6Jc6H8ZGFBv3
5kETstRKVQWvESnL7RJWsdiqQ8KTQ5lIR/OdrxHe+yHhMeOYx0e0sPZyqr1JM/lYmbcJ+1gSx8t8
Gv9TZ3liWmlEYkRn+em0zvLkzNIoDX/G8GczS6MNPLM0JjGqszy9/Hl08PuC8gxHsj6/LzGqQZ4N
yvM2FpR/1UBi9A0Io29EGHMDwph2hF6/z68a5Bd+i6uAvHStnFvbP6azUAM69Lla4GaLRL7MAt/E
An8F2bKONfM19OWVOURuw51yO8bLACbJBjwmGzFPBvGMbEKN3IFNcie2y13YK5vxtvwN/ix346T8
Lb6Ue0RHuVfEydfNQpiPaC2HkNAZcoTOkCN0hhyhM7TKFjpDzxuhd8VZR+gF+JMtdPTFEfUCj/ow
BAdVjfoVW/87sUe9yJD+Bu1G9RJD0ZiELWo1QzFmmRRCXUa2Vw5uRYVW/miTUu0xtfmRg71SA4oL
kJ3Na+lf1RrHHGTy/enFuFqvKF5QeUFS7bjM9vXIqHyzlPIDZMWTL0CRVUjiGDH/6hCxFhNtiihD
kWooKNpQUac2qjKbKvbrqfQC14RBitd3w4lJO/ma1IOVPk6+hxR5mGV8BL3kUZbth/iO/AgPy//A
4/I4lsg/40X5FzeO5Kd0lXS1kZIw0AqTr6bgKSMRMlztAOsyujLvumZldWJerWX/Kt2NJn1dvHZN
1NllFcfa1+wdyLPsLM612zuIt/+8c1a0jqetDU0rIvgKbUcqQscEjrsbmcfcz62jgWms2HNXIz8v
zfZwOuZhL1cNTy3ichimxDIrly0mDo7Vbq/1YG6d67xy+I4gv4SPBDqRRCJZSCcPctgNF5MP5RSB
odw3gjq4TiqHnY7eAVSc9XnVevUyL9skFBnHRe1yHx+Gqg3GcXXCALWRIeluENtjm9yxiU7Ywe7q
ChLNlnDwMgQH/KlenLiIjuyuHPa8wux5VW12AvcCZz/O0sHwNZtxlNCOx5ZzV1J/K4FzLtPCz6Cz
1U+aKLmynlK14YmntAB18ftyA9StgTID1NPA/NMrBBQYoChAxQboG6D+BhgYoEEGGBqg4XqmEQGq
0O2dARrttGP0nheNZaJ7gnSfXtjL2IdG+CPiaUKAJuqApQYdNfEP+GKOUfy+Oj34oBn0cCDL4wP8
ERzXeCYG6KF4mqJHvAneGmQ53Xbl5eFp2l7SjMF+X9cG+qG+C57qMTOV9xtONUZPNctM1cm5rfIb
z9X9+rlG5sXTE6zp1Yjw+/I0I3myH9uTeb/pZP1rkVgWqb1DRJA4O/FHNtKTBGYkL4QacUAcdGP5
FnbVoCxEUDZiqSfSKAfdKRcFlIe+lI9B1IuXfgHuokKMp96YREWYQuWYS0OwiIZiKQ3DKhqOGroL
62kMNtLdqKPvYTeNxV4ah2NUib+wmM/SBJyn7+MSTRTRdL+IowdELk0SfWiyGEgPicH0sBhOj4hK
miIm0FQxk6aJuTRTLKJHxRL6oVhOPxLr6DGxkR4Xu2iWOEBzxUGaLQ7RHHGc5pllvhIxOIYIVcce
gLAbPdQWVkivyA31iWi3bybnBK9p6yYqke307XL71oX6sFF0V1sZ8ohDiDW7e5FaXVzv9okxBAKL
xL1qm4lbI8RRYxL0/13zoFrA80UYxR4PXysHLZHGD53Q1wJeSjZhPvvvEe1HhDtyCSMuoYJ/Wtlm
3OhavTkYx2Mvsx4be6nS+eG1Tn+3ieZUxtNP62l+RRMtqIxVqKenRjbRwsrcelpUpkSZ1USLK/2q
npbqg5oAPVs5qgUZ+fH0XIBWcpbgjafnR+Wxu6kZy0tstW5rW9/TFnWN32rBVH3N2lr8wD6qoXXO
UU0tvuv0rHd6NPVAh7rkOupMDoSZINkhiCvzOQQ++2Jvs+BQlzbYT7NJx3C8yl8J0Ks68p7KoRtt
0XfhdS7zundh97zm9GjqgQ51yXXUmWyEPPoubII4o0GaINK+OKJ5CzriAUzGI6w+GbgPP+F2KVbw
wrNxTtW4b5FptyDA7nkD/9tk8BM4xcn0BhzAx0JySp0oUsTNDl6oUzwRa9pSMUDcwuOFokjjjpoe
RSmDyxFFK9hDrWQPVYUMWoVe9AKraQ2G0K8wnF7CSFqNcbQG99F6PEAbMJlewSO0EVM5SHiC4Z/Q
WjxJ61h117PqbsAK7lvJ49U8XsvwBu7fwv3MXTRyfxP3v06b8SZtwQHaisO0DR9TA05QEKdoJ05T
E87QDrTSTiFpu1AUELHUIBIpKFK472ZqEum0Q+QzXMj9pdw/gOFbuH8Q94+iZjGafu2q71REq+3m
HK0Yw03STnjS7at2oSYH8uGMA3mFcqF0FxrkQFppQ3uqUWK4Cqh61qFEMUA1qEbWnnRRpIKqib1h
hihQO9ROVuQDmK92qWZ4jPruQ2wrx1fmwI3meGkBK+BCLy3WOXtSu24dVzoDnUazbrZyWnL9RVpr
x/PvaK/6dSuvKt91FDxgb/xf0NYh094taE/hZTEJM8XVU0XeiLBtui/YSuzW0Q8//waGf6v+zYmz
1ttnNcJz/dspTbSNo4OAfqnGBYudMCwgbhuZ52yj7s8LnRKP4sB1YRUamSi/ker1ma97PrwmdD5M
Qdvs7GhBAhuZIgPrXFm7sjSNNbcgPTTSbI9UoSNP2jtfd+0e61zehYkGhi7XbUuQ3gDMRD2ciXJC
NM0Ozb4QjT1lsTNlbeu42tbCtp3MEp3Q0JvsHvcjlQ6gBx3EMPo9KugQptHbeInewSY6jHP0PuvB
B6wHHwqLjrnB9TT8Qu1RLbyihmGn2svuQic+HteFeNCgXnc2KzIReRlFXnHHFWSypWfgMgq8FPRH
ZmRcRCSvhYvXyO+NkPyY63bCUt5E+yupnt4a6UholOEX5y8H9dO+bR6VsfcMxob0cBWi2t73CAXG
ZgOXTnJkcIof/TS6KIl8lYQ+ys8Ba0q73KHczR3K7Ufh7KyP2qfeNAfeeep3HPiSuztj90x0soko
iCsY4KX9HO62fy79nx44Ae6r3Kej6hGhl3p0uHOkkY5KcBD5ERtCjXMCxtjxRvpEwcb/k/FT7fDT
jJ8x+DW71IofUv0X4tQZ+NVZ9FTn0E99gW+rC+Yh0+2/7j7kCLXfnOpHYJB5EcSO233gUL2fV3Tm
ex8gyp0k8qj93hMuufcuRjWJ5Ep9q/X0eZlykFMasRzkjEY89rPVmK0eOl+Fznqrwmxq0EWwJ79S
x4jnqiFPkL50hqyrhiw91GoPaWawAmqe6vc+kjRB/jal+DciqDq0I7K+iii6HZHnq4g62kSizmX2
PZz4wOIIyfIgyvIhyYpAlhWJIisa/ayOGGLFYIwVhwlWPKZbiXjCuglPWyl4zkpFtZWGzVZXNFnd
0Gxl4A9WNo5ZPXHcysEFK98I6nab1a6gLrmCOmMLilfbaXVAvcU3nISP1b+rgyyeLLyjfs+QhSK8
oQ4xZBv8DHhaMca2u9jKgvUqyyuS7R8gOTkzM7NTpH5Z2pH1bOf1mj+GzGd+QMU0qjhp3ncRt2lb
51jAeg05r9N4tKS6sRp2exHP+9lO/FJvRbHtXJJvTNtgHW5xq7cHdhg4IOuqEMNoi0Zb1qKLfiHM
sX3KtX0iNZf9nDaszc4szfYszQZ2Z9mn0X3uLM3OLPuumqW2dVib1hSxIrOV4KzdQoHyoL/y4nbl
w6MqEgtVFBaz8BtUJ7ylYvEHlYB3VaKbOxdgrXpHvyqlOWVMAwykzYUwkLaQ0kDvMjcI8dij/siQ
fUjuh+cKR4QUNLZxHBvJlJ4XkcJmkYXxniuMvjyFFkb13xbGE18hjAlaGJWOMEbbwkh2hBF3tTC6
2kzOc5ic2Z7J1UhoE09AeB12zmtjp9mCoDOIp7Ocd51Df/oct9N5Dt7+ivl0ActY4Z9jza6i1nZs
nOyysdplY7XLxmqXjdUuG59qx8Ykvc3gsrGC2Zh2EbE2Fw+r9x3T+2PnLYOenLPHqySTqptDZZWc
26hSCbnx6mZOFaoQkdOo0kU7y5qot/DFa+ggtiJJbEM3sR3Zor7duV9Pc7KtnUKaOmLeVHbtaLbO
bHzqA/f8foV5KOD+eJWhD8JUFrBVLA5h3TW2MoT10NgLISxbY6tDWE/GaGwIy9FjB+KiG1TuVozR
B5z6AYR5gG7mMKCEI6pSpKIvS6kf12W4Df3ZLNyBe3E38/Ko2XD5UB2zd8YwCzPwMCaqj9TH3HMS
Weo4z/epqU+qz5g5n6vz/KvxC6a+ZOorpm7VtSVMTaa2TO01dYSpo0wdbeoYU8eaOt7UCaa+ydR+
U6eYOs3UXfQdWF2tDKu7A2UzpEdyTZ1v6gJT9zb1t0xdbOpSU/czdX9Tl5v6FlMPsuyzIB8mItoa
yiJ+mFv90tMMbm/jdha3w9k9dhSdrdtv9SuL22+z6/2I+0fcmmzdYY207mQFD5dvWvTXIJn/2K7t
0z/6W5FCiPkISNunCP9nn7bsNUl/SKTtbxRyKenTx7Rcrm0N3LtPaWGf3iWFRX24v7iosKQY6b3/
L27uMf0Bl/R0PDp9+o++jlF/a/z/aQnLPyz/sPzD8g/LPyz/sPy/pvydyj9cwiVcwiVcwiVcwiVc
wiVcwiVcwiVcwiVcwiVc/n7LfwO8UkNVAKAAAA==
ENCODED_PATCH
